LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
ContentInfoAttribute.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::ucb
| Universal Content Broker interfaces.

## Constant Groups
constants | com::sun::star::ucb::ContentInfoAttribute
| These are the possible values for ContentInfo::Attributes.

## Variables
const short | NONE = 0
| No extra attributes.
const short | INSERT_WITH_INPUTSTREAM = 1
| Supply an input stream with the InsertCommandArgument, when committing the new content by executing the command "insert" at it.
const short | KIND_DOCUMENT = 2
| The new content is of kind document.
const short | KIND_FOLDER = 4
| The new content is of kind folder.
const short | KIND_LINK = 8
| The new content is of kind link.